function [q,me]=extractElement(self,type,varargin)
  it=find(self.types==type);
  assert(length(it)==1)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('geo_labs',[]);
  p.addParamValue('phys_labs',[]);
  p.parse(varargin{:});
  R=p.Results;
  if ~isempty(R.geo_labs) && ~isempty(R.phys_labs)
    error('Unallowed used of options')
  end
  if isempty(R.geo_labs) && isempty(R.phys_labs)
    [idx,il,me]=unique(self.sElts(it).me(:));
    q=self.q(:,idx);
    me=reshape(me,[self.sElts(it).d+1,self.sElts(it).nme]);
    return
  end
  if ~isempty(R.geo_labs)
    labs=self.sElts(it).geo_lab;
    olabs=R.geo_labs;
  else
    labs=self.sElts(it).phys_lab;
    olabs=R.phys_labs;
  end
  ME=[];
  for i=1:length(olabs)
    lab=olabs(i);
    ME=[ME,self.sElts(it).me(:,labs==lab)];
  end
  if isempty(ME)
    q=[];me=[];return
  end
  [idx,il,me]=unique(ME(:));
  q=self.q(:,idx);
  me=reshape(me,[self.sElts(it).d+1,size(ME,2)]);
end
